Description: <short summary of the patch>
 TODO: Put a short summary on the line above and replace this paragraph
 with a longer explanation of this change. Complete the meta-information
 with other relevant fields (see below for details). To make it easier, the
 information below has been extracted from the changelog. Adjust it or drop
 it.
 .
 ocp (1:0.1.21-5) unstable; urgency=medium
 .
   * Also build on GNU/Hurd, 2nd try.
Author: Gürkan Myczko <gurkan@phys.ethz.ch>

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: 2018-12-12

--- ocp-0.1.21.orig/boot/plinkman.c
+++ ocp-0.1.21/boot/plinkman.c
@@ -51,6 +51,10 @@
 #include "psetting.h"
 #include "plinkman.h"
 
+#ifndef PATH_MAX
+#define PATH_MAX 4096
+#endif
+
 static int handlecounter;
 struct dll_handle loadlist[MAXDLLLIST];
 int loadlist_n;
--- ocp-0.1.21.orig/boot/pmain.c
+++ ocp-0.1.21/boot/pmain.c
@@ -57,6 +57,10 @@
 #include "plinkman.h"
 #include "psetting.h"
 
+#ifndef PATH_MAX
+#define PATH_MAX 4096
+#endif
+
 struct mainstruct *ocpmain = 0;
 
 static void plCloseAll(void)
--- ocp-0.1.21.orig/boot/psetting.c
+++ ocp-0.1.21/boot/psetting.c
@@ -42,6 +42,10 @@
 #include <sys/stat.h>
 #include <unistd.h>
 
+#ifndef PATH_MAX
+#define PATH_MAX 4096
+#endif
+
 char cfConfigDir[PATH_MAX+1];
 char cfDataDir[PATH_MAX+1]="";
 char cfProgramDir[PATH_MAX+1]; /* we get this from argv[0] */
